Bug 503250 - Review Request: ghc-hinotify - Haskell binding to INotify
Review Request: ghc-hinotify - Haskell binding to INotify
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
ready
:
Depends On:
Blocks: xmobar
  Show dependency treegraph
 
Reported: 2009-05-29 18:02 EDT by Zach Oglesby
Modified: 2010-09-15 18:31 EDT (History)
5 users (show)

See Also:
Fixed In Version: xmobar-0.11.1-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 426750
Environment:
Last Closed: 2010-09-15 03:07:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
ghc-hinotify.spec-1.patch (807 bytes, patch)
2010-08-31 03:02 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Zach Oglesby 2009-05-29 18:02:18 EDT
Spec URL: http://zoglesby.fedorapeople.org/ghc-hinotify.spec
SRPM URL: http://zoglesby.fedorapeople.org/ghc-utf8-string-0.3.4-1.fc11.src.rpm

Description: This library provides a wrapper to the Linux Kernel's inotify feature,allowing applications to subscribe to notifications when a file is accessed or modified.
Comment 1 Jens Petersen 2009-06-20 20:41:16 EDT
I found http://zoglesby.fedorapeople.org/ghc-hinotify-0.2-2.fc11.src.rpm
(spec seems to be slightly older).

cabal2spec-diff output looks ok.
Comment 2 Jens Petersen 2009-07-01 19:58:08 EDT
The license of the package looks a little unclear.

hinotify-0.2/src/System/INotify.hsc says GPL
but the LICENSE file says BSD3.

So currently looks to me like the package is actually GPLv2+ perhaps.

I send a mail to the author asking for clarification
(better that you the packager does this in future:).
Comment 3 Jason Tibbitts 2009-08-01 15:19:16 EDT
Anything happening here?  It's been a month since the last comment.
Comment 4 Zach Oglesby 2009-09-11 03:56:58 EDT
Not sure whats wrong, we talked to dev BSDv3 is correct, he made the change in svn next version will be updated correctly.

http://zoglesby.fedorapeople.org/ghc-hinotify-0.2-2.fc11.src.rpm
http://zoglesby.fedorapeople.org/ghc-hinotify.spec
Comment 5 Jens Petersen 2009-10-29 05:35:25 EDT
You forgot to update the srpm.

ghc-hinotify.src: E: description-line-too-long This library provides a wrapper to the Linux Kernel's inotify feature, allowing applications to subscribe to notifications when a file is accessed or modified.
Comment 6 Jens Petersen 2010-01-14 20:18:33 EST
ping,  Zach, still want this?
Comment 7 Ben Boeckel 2010-05-20 16:46:51 EDT
I'll take this. Currently working off a fresh cabal2spec (didn't find this until after).
Comment 8 Ben Boeckel 2010-05-20 16:55:15 EDT
Whoops, I meant to take it as the submitter, not the reviewer. Clearing needinfo and 'assigned to'.
Comment 9 Zach Oglesby 2010-06-01 06:04:15 EDT
Ben are you still working on this?
Comment 10 Ben Boeckel 2010-06-01 11:38:57 EDT
Yes, but I may not have Internet access at my new apartment until next week. I'll be going to campus to get it, ut I don't know what times that will be.
Comment 11 Ben Boeckel 2010-06-26 15:35:28 EDT
Spec: http://benboeckel.net/packaging/ghc-hinotify/ghc-hinotify.spec
SRPM: http://benboeckel.net/packaging/ghc-hinotify/ghc-hinotify-0.3.1-1.fc13.src.rpm

boeckb@bronto-burt % rpmlint */ghc-hinotify*.rpm
ghc-hinotify.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-hinotify.x86_64: W: unstripped-binary-or-object /usr/lib64/ghc-6.12.1/hinotify-0.3.1/libHShinotify-0.3.1-ghc6.12.1.so
ghc-hinotify.x86_64: W: executable-stack /usr/lib64/ghc-6.12.1/hinotify-0.3.1/libHShinotify-0.3.1-ghc6.12.1.so
ghc-hinotify-devel.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-hinotify-devel.x86_64: W: no-documentation
ghc-hinotify-prof.x86_64: E: devel-dependency ghc-hinotify-devel
ghc-hinotify-prof.x86_64: W: no-documentation
ghc-hinotify-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.1/hinotify-0.3.1/libHShinotify-0.3.1_p.a
ghc-hinotify.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-hinotify.src: W: strange-permission hinotify-0.3.1.tar.gz 0640L
ghc-hinotify.src: W: strange-permission ghc-hinotify.spec 0640L
5 packages and 0 specfiles checked; 1 errors, 10 warnings.

Not sure what to do about the unstripped object. Strange perms are from my 027 umask.
Comment 12 Jens Petersen 2010-06-28 23:12:35 EDT
(In reply to comment #11)
> Not sure what to do about the unstripped object. Strange perms are from my 027
> umask.    

I implemented stripping in the latest devel ghc-rpm-macros and cabal2spec-0.22 and later in rawhide.

They should also appear soon in F13 updates.

In the meantime you can grab then from koji or rawhide:

http://koji.fedoraproject.org/koji/packageinfo?packageID=ghc-rpm-macros
http://koji.fedoraproject.org/koji/packageinfo?packageID=cabal2spec

and if you update the packaging to cabal2spec-0.22.1
you should find the shared lib is now stripped.
Comment 13 Jens Petersen 2010-06-29 09:55:08 EDT
(In reply to comment #11)
> Spec: http://benboeckel.net/packaging/ghc-hinotify/ghc-hinotify.spec

This gives me permission denied btw.

What is pkg_libdir needed for?  macros.ghc provides %ghcpkgdir.

Ideally would be good if you could update to cabal2spec-0.22.1 from rawhide.

  Provides: ghc-%{pkg_name}-devel = %{version}-%{release}

This should be dropped.

Otherwise packaging (cabal2spec-diff) basically looks ok.
Comment 14 Ben Boeckel 2010-06-29 10:01:54 EDT
(In reply to comment #13)
> (In reply to comment #11)
> > Spec: http://benboeckel.net/packaging/ghc-hinotify/ghc-hinotify.spec
> 
> This gives me permission denied btw.

Ugh. One of the downsides of using umask 027...scp copies those over too :/ . I'll fix these and rerun cabal2spec once I get back home today.
Comment 15 Ben Boeckel 2010-06-30 23:26:51 EDT
Spec: http://benboeckel.net/packaging/ghc-hinotify/ghc-hinotify.spec
SRPM:
http://benboeckel.net/packaging/ghc-hinotify/ghc-hinotify-0.3.1-2.fc13.src.rpm

New cabal2spec and perms fixed.

boeckb@bronto-burt % lintmock fedora-13-x86_64-bb
ghc-hinotify.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-hinotify.src: W: strange-permission hinotify-0.3.1.tar.gz 0640L
ghc-hinotify.src: W: strange-permission ghc-hinotify.spec 0640L
ghc-hinotify.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-hinotify.x86_64: W: executable-stack /usr/lib64/ghc-6.12.1/hinotify-0.3.1/libHShinotify-0.3.1-ghc6.12.1.so
ghc-hinotify-devel.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-hinotify-devel.x86_64: W: no-documentation
ghc-hinotify-prof.x86_64: E: devel-dependency ghc-hinotify-devel
ghc-hinotify-prof.x86_64: W: no-documentation
ghc-hinotify-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.1/hinotify-0.3.1/libHShinotify-0.3.1_p.a
5 packages and 0 specfiles checked; 1 errors, 9 warnings.
Comment 16 Jens Petersen 2010-07-01 05:11:13 EDT
Thanks, looks ok to me now.
Comment 17 Jens Petersen 2010-08-31 03:01:38 EDT
I'll take this now since noone else did...

Unfortunately in the meantime ghc-rpm-macros and cabal2spec
have slightly moved on.
Comment 18 Jens Petersen 2010-08-31 03:02:51 EDT
Created attachment 442101 [details]
ghc-hinotify.spec-1.patch
Comment 19 Jens Petersen 2010-08-31 03:04:02 EDT
Comment on attachment 442101 [details]
ghc-hinotify.spec-1.patch

update to latest cabal2spec packaging
Comment 20 Ben Boeckel 2010-08-31 21:28:51 EDT
Spec: http://benboeckel.net/packaging/ghc-hinotify/ghc-hinotify.spec
SRPM:
http://benboeckel.net/packaging/ghc-hinotify/ghc-hinotify-0.3.1-3.fc14.src.rpm

% lintmock fedora-14-x86_64-bb
ghc-hinotify.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-hinotify.src: W: strange-permission hinotify-0.3.1.tar.gz 0640L
ghc-hinotify.src: W: strange-permission ghc-hinotify.spec 0640L
ghc-hinotify.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-hinotify-devel.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-hinotify-prof.x86_64: E: devel-dependency ghc-hinotify-devel
ghc-hinotify-prof.x86_64: W: no-documentation
ghc-hinotify-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/hinotify-0.3.1/libHShinotify-0.3.1_p.a
4 packages and 0 specfiles checked; 1 errors, 7 warnings.
Comment 21 Jens Petersen 2010-08-31 23:21:53 EDT
Here is the review:

 +:ok, !:needs attention, -:needs fixing,  NA: not applicable

MUST Items:
[!] MUST: rpmlint output

ghc-hinotify.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-hinotify.src: W: strange-permission hinotify-0.3.1.tar.gz 0640L
ghc-hinotify.src: W: strange-permission ghc-hinotify.spec 0640L
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Please fix the strange-permission's before importing.

ghc-hinotify.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-hinotify.x86_64: W: executable-stack /usr/lib64/ghc-6.12.1/hinotify-0.3.1/libHShinotify-0.3.1-ghc6.12.1.so
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
ghc-hinotify-devel.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
ghc-hinotify-prof.x86_64: E: devel-dependency ghc-hinotify-devel
ghc-hinotify-prof.x86_64: W: no-documentation
ghc-hinotify-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.1/hinotify-0.3.1/libHShinotify-0.3.1_p.a
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

All standard and waived

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license.
[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

b24191dab428cd0bfb74af9f0ab68372  hinotify-0.3.1.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch

http://koji.fedoraproject.org/koji/taskinfo?taskID=2439099

[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.

Package is APPROVED

Please fix the above file permissions before importing into SCM.
Comment 22 Ben Boeckel 2010-08-31 23:35:22 EDT
New Package CVS Request
=======================
Package Name: ghc-hinotify
Short Description: Haskell hinotify library
Owners: mathstuf
Branches: F-12 F-13 F-14
InitialCC: haskell-sig
Comment 23 Kevin Fenzi 2010-09-01 15:11:43 EDT
Git done (by process-git-requests).
Comment 24 Ben Boeckel 2010-09-03 00:54:56 EDT
Built for F-15, F-14, and F-13.
Comment 25 Fedora Update System 2010-09-06 22:55:52 EDT
xmobar-0.11.1-4.fc14,ghc-libmpd-0.4.2-1.fc14,ghc-hinotify-0.3.1-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xmobar-0.11.1-4.fc14,ghc-libmpd-0.4.2-1.fc14,ghc-hinotify-0.3.1-4.fc14
Comment 26 Fedora Update System 2010-09-06 22:56:09 EDT
xmobar-0.11.1-4.fc13,ghc-libmpd-0.4.2-1.fc13,ghc-hinotify-0.3.1-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/xmobar-0.11.1-4.fc13,ghc-libmpd-0.4.2-1.fc13,ghc-hinotify-0.3.1-4.fc13
Comment 27 Fedora Update System 2010-09-07 02:46:02 EDT
xmobar-0.11.1-4.fc14, ghc-libmpd-0.4.2-1.fc14, ghc-hinotify-0.3.1-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xmobar ghc-libmpd ghc-hinotify'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/xmobar-0.11.1-4.fc14,ghc-libmpd-0.4.2-1.fc14,ghc-hinotify-0.3.1-4.fc14
Comment 28 Fedora Update System 2010-09-15 03:07:03 EDT
xmobar-0.11.1-4.fc14, ghc-libmpd-0.4.2-1.fc14, ghc-hinotify-0.3.1-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2010-09-15 18:31:07 EDT
xmobar-0.11.1-4.fc13, ghc-libmpd-0.4.2-1.fc13, ghc-hinotify-0.3.1-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.